<%- include('./_partial/_head.ejs') %>

<body class="skin-blue sidebar-mini " dir="rtl">
  <div class="wrapper">
    <%- include('./_partial/_nav.ejs') %>

    <!-- Left side column. contains the logo and sidebar -->
    <%- include('./_partial/asideRight.ejs') %>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <h1>
          جدول بنود الباكدج
        </h1>

        <!-- Button trigger modal -->
        <button type="button" id="Model" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
          اضافه بند
        </button>

      </section>

      <!-- Main content -->
      <section class="content">
        <div class="row">
          <div class="col-xs-12">
            <div class="box">

              <div class="box-body">
                <table class="table">
                  <thead>
                    <tr>
                      <th scope="col">التسلسل</th>
                      <th scope="col">اسم البند</th>
                      <th scope="col">ازاله البند</th>

                    </tr>
                  </thead>
                  <tbody>
                  </tbody>
                </table>
              </div><!-- /.box-body -->
            </div><!-- /.box -->


          </div><!-- /.row -->
      </section><!-- /.content -->
    </div><!-- /.content-wrapper -->


    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
      aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">اضافه بند</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="form-group">
                <label for="Name">اسمه البند</label>
                <input type="text" class="form-control" id="Name" name="Name" placeholder="ادخل اسمه البند">
                <p id='errMsg' class="text-danger"></p>
              </div>

              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" id='save' class="btn btn-primary">حفظ</button>
              </div>
            </form>



          </div>


        </div>
      </div>
    </div>
    <%- include('./_partial/_footer.ejs') %>


    <%- include('./_partial/_jQuery.ejs') %>
    
    <script>
      $(document).ready(function () {



        var socket = io();

        socket.emit('allPkgItem');
        socket.on('allPkgItem', function (msg) {
          $('table tbody tr').remove();
          console.log(msg);
          $.each(msg, function (key, value) {

            var num = key + 1;
            var getData = "<tr id='" + value.id + "'><th scope='row'>" + num + "</th><td>" + value.name + "</td><td ><button class='btn btn-danger btnItem' id=" + value.id + "  type='button'>ازاله</button></td></tr>";
            $("table tbody").append(getData);
            console.log(value.name + " " + key);
          });
        });


        $(document).on('click', '.btnItem', function (e) {
          let itemId = event.target.id;
          if (itemId) {
            $.post("http://localhost:3003/weco/deletePkgItem",
              { itemId: itemId },
              function (data) {
                if (data === 'item is deleted') {
                  console.log('in socket');
                  socket.emit('allPkgItem');
                }
              });
          }
          console.log(event.target.id);

        });
      
      
      $('#save').click(function(){
        let itemName=$('#Name').val();
        console.log(itemName);
        if(itemName)
        {
            $.post("http://localhost:3003/weco/insertPkgItem",
              { itemName: itemName },
              function (data) {
                if (data === 'item is inserted') {
                  console.log('in socket');
                  socket.emit('allPkgItem');
                }
              });
        }

      });

      });
    </script>

</body>

</html>